Winnetwk.RESOURCEDISPLAYTYPE (JNA API)

com.sun.jna.platform.win32

## Class Winnetwk.RESOURCEDISPLAYTYPE

- java.lang.Object
- - com.sun.jna.platform.win32.Winnetwk.RESOURCEDISPLAYTYPE

- Enclosing class:
    Winnetwk

      public class Winnetwk.RESOURCEDISPLAYTYPE
      extends java.lang.Object

  The type of resource. This member can be one of the following values defined in the Winnetwk.h header file. NOTE: This are for the dwScope member of NetResource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `RESOURCEDISPLAYTYPE_DOMAIN` The object should be displayed as a domain.
    `static int` | `RESOURCEDISPLAYTYPE_FILE` The object should be displayed as a file.
    `static int` | `RESOURCEDISPLAYTYPE_GENERIC` The method used to display the object does not matter.
    `static int` | `RESOURCEDISPLAYTYPE_SERVER` The object should be displayed as a server.
    `static int` | `RESOURCEDISPLAYTYPE_SHARE` The object should be displayed as a share.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RESOURCEDISPLAYTYPE()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESOURCEDISPLAYTYPE_GENERIC

          public static final int RESOURCEDISPLAYTYPE_GENERIC

      The method used to display the object does not matter.
      See Also:
        Constant Field Values

    - #### RESOURCEDISPLAYTYPE_DOMAIN

          public static final int RESOURCEDISPLAYTYPE_DOMAIN

      The object should be displayed as a domain.
      See Also:
        Constant Field Values

    - #### RESOURCEDISPLAYTYPE_SERVER

          public static final int RESOURCEDISPLAYTYPE_SERVER

      The object should be displayed as a server.
      See Also:
        Constant Field Values

    - #### RESOURCEDISPLAYTYPE_SHARE

          public static final int RESOURCEDISPLAYTYPE_SHARE

      The object should be displayed as a share.
      See Also:
        Constant Field Values

    - #### RESOURCEDISPLAYTYPE_FILE

          public static final int RESOURCEDISPLAYTYPE_FILE

      The object should be displayed as a file.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RESOURCEDISPLAYTYPE

          public RESOURCEDISPLAYTYPE()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.